Feature: Magazin
  this feature tests the general functions and availability of the Repository in ilias 5.3.
  it also tests every route

  Scenario: site available
    Given I am on "https://build53.invorbereitung.de/goto.php?target=root_1&client_id=build53"
    Then I should see "Open Source eLearning"
    And I should see "Repository"
    And I should see "Categories"
    And I should see "Login"
    And I should not see "Error"

  @login
  Scenario: Category route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Kategorien"
    And I should see "Behat Kategorie"
    When I follow "Behat Kategorie"
    Then I should be on "https://build53.invorbereitung.de/repository/category/145.html"
    And I should see "Behat Kategorie"
    And I should not see "Error"

  @login
  Scenario: Studyprogramm Route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Studienprogramme"
    And I should see "Behat Studienprogramm"
    When I follow "Behat Studienprogramm"
    Then I should be on "https://build53.invorbereitung.de/repository/studyprogramm/148.html"
    And I should see "Behat Studienprogramm"
    And I should not see "Error"

  @login
  Scenario: Course Route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Kurse"
    And I should see "Behat Kurs"
    When I follow "Behat Kurs"
    Then I should be on "https://build53.invorbereitung.de/repository/142.html"
    And I should see "Behat Kurs"
    And I should not see "Error"

  @login
  Scenario: Folder Route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Kurse"
    And I should see "Behat Kurs"
    When I follow "Behat Kurs"
    And I should see "Behat Ordner"
    When I follow "Behat Ordner"
    Then I should be on "https://build53.invorbereitung.de/repository/folder/143.html"
    And I should see "Behat Ordner"
    And I should not see "Error"

  @login
  Scenario: Group Route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Gruppen"
    And I should see "Behat Gruppe"
    When I follow "Behat Gruppe"
    Then I should be on "https://build53.invorbereitung.de/repository/144.html"
    And I should see "Behat Gruppe"
    And I should not see "Error"


  @login
  Scenario: Glossar
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Glossare"
    And I should see "Behat Glossar"
    When I follow "Behat Glossar"
    Then I should be on "https://build53.invorbereitung.de/glossary/150.html"
    And I should see "Behat Glossar"
    And I should not see "Error"

  @login
  Scenario: Übung
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Übungen"
    And I should see "Behat Übung"
    When I follow "Behat Übung"
    Then I should be on "https://build53.invorbereitung.de/exercise/155.html"
    And I should see "Behat Übung"
    And I should not see "Error"

  @login
  Scenario: Test
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Tests"
    And I should see "Behat Test"
    When I follow "Behat Test"
    Then I should be on "https://build53.invorbereitung.de/repository/test/154.html"
    And I should see "Behat Test"
    And I should not see "Error"

  @login
  Scenario: Umfrage
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Umfragen"
    And I should see "Behat Umfrage"
    When I follow "Behat Umfrage"
    Then I should be on "https://build53.invorbereitung.de/survey/159.html"
    And I should see "Behat Umfrage"
    And I should not see "Error"

  @login
  Scenario: Questionpool Route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Fragenpools für Tests"
    And I should see "Behat Fragenpool"
    When I follow "Behat Fragenpool"
    Then I should be on "https://build53.invorbereitung.de/repository/questionpool/156.html"
    And I should see "Behat Fragenpool"
    And I should not see "Error"

  @login
  Scenario: Umfrage Fragenpool
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Fragenpools für Umfragen"
    And I should see "Behat Umfrage Fragenpool"
    When I follow "Behat Umfrage Fragenpool"
    Then I should be on "https://build53.invorbereitung.de/s-questionpool/160.html"
    And I should see "Behat Umfrage Fragenpool"
    And I should not see "Error"

  @login
  Scenario: Portfoliotemplate Route
    Given I am on "https://build53.invorbereitung.de"
    Then I should see "Portfoliovorlagen"
    And I should see "Behat Portfoliovorlage"
    When I follow "Behat Portfoliovorlage"
    Then I should be on "https://build53.invorbereitung.de/repository/portfolio/161.html"
    And I should see "Behat Portfoliovorlage"
    And I should not see "Error"
